import com.google.auth.oauth2.GoogleCredentials;
import com.google.firebase.FirebaseApp;
import com.google.firebase.FirebaseOptions;
import com.google.firebase.database.DatabaseError;
import com.google.firebase.database.DatabaseReference;
import com.google.firebase.database.FirebaseDatabase;

import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.Scanner;

public class Main {
    public static void main(String[] args) {
        try {
            FileInputStream serviceAccount
                    = new FileInputStream("src/Firebasekey/thapplication-799f7-firebase-adminsdk-qefg5-1408a01eb1.json");
            FirebaseOptions options = FirebaseOptions.builder()
                    .setCredentials(GoogleCredentials.fromStream(serviceAccount))
                    .setDatabaseUrl("https://thapplication-799f7-default-rtdb.firebaseio.com/")
                    .build();
            FirebaseApp.initializeApp(options);
            FirebaseDatabase database = FirebaseDatabase.getInstance();
            DatabaseReference ref = database.getReference("message");
            while (true) {
                Scanner scanner = new Scanner(System.in);
                System.out.println("Please give a message to be sent to all users:");
                String message = scanner.nextLine();
                if (message.equals("exit")) {
                    System.out.println("Server is stopping!");
                    return;
                }

                ref.setValue(message, (databaseError, databaseReference) -> {
                    if (databaseError != null) {
                        System.out.println("Data could not be saved " + databaseError.getMessage());
                    } else {
                        System.out.println("Data Saved successfully");
                    }
                });
            }
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
